gr-baz Package

baz_block_status Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_block_status.h>`

Inheritance diagram for baz_block_status:
[legend]

## Public Member Functions
| ~baz_block_status ()
void | set_size (int size)
int | size () const
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_block_status_sptr | baz_make_block_status (int size, unsigned long work_iterations, unsigned long samples_processed, gr::msg_queue::sptr queue=gr::msg_queue::sptr())
| Return a shared_ptr to a new instance of baz_block_status.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_block_status()

baz_block_status::~baz_block_status | ( |  | ) |

## Member Function Documentation

## ◆ set_size()

void baz_block_status::set_size | ( | int | size | ) |

References size().

## ◆ size()

int baz_block_status::size | ( |  | ) | const
| inline

Referenced by baz_make_block_status, and set_size().

## ◆ work()

int baz_block_status::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_block_status

BAZ_API baz_block_status_sptr baz_make_block_status | ( | int | size,
|  | unsigned long | work_iterations,
|  | unsigned long | samples_processed,
|  | gr::msg_queue::sptr | queue = gr::msg_queue::sptr() )
| friend

Return a shared_ptr to a new instance of baz_block_status.

To avoid accidental use of raw pointers, baz_block_status's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API, and size().

The documentation for this class was generated from the following file:

- baz_block_status.h